VectorLinux

Cooking up the Treats => Distro development => Topic started by: vector on June 04, 2010, 01:09:31 am

Title: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 04, 2010, 01:09:31 am
The development crew is happy to bring  you the first core release of vector7. This is alpha 1 so expect your computer to catch fire and crash and burn.................. ;D. This is all the latest and greatest from linux from the X.org server on down. There is nothing fancy here just a console login and doing startx gives you a basic xfce4 desktop. There is firefox, opera,  and gftp to keep you connected and the other basics. There is no gslapt or slapt-get as no real repo yet for vl7. We would like you brave testers to check for bugs try building your favorite apps etc etc. We have included a new set of plugins to do things like qt movie trailers (trailers.apple.com) and the standard realplayer and ms stuff. We want to make sure the core is is up to snuff before we spend a lot of time building on top of it........so your feedback is very important. Some notes........you will prolly have to do one reboot after install to get network working ..........and you have to create your own cdrom/dvd symlinks in /dev if you want to use those devices...........milage may vary.
good luck and happy testing!!! One other note this is above and beyond slack 13.1 and starting with vec7 we intend to keep parity with slack-current or surpass.


Cheers,
Vec
http://vectorlinux.osuosl.org/veclinux-7.0/iso-test/VL7.0-CORE-ALPHA-1.iso
http://vectorlinux.osuosl.org/veclinux-7.0/iso-test/ALPHA-1.md5sum
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 04, 2010, 01:06:49 pm
Not much luck on first test subject.  :(

GUI installer crashes during or after gparted.
Text installer can not find hard drive (regular ATA).
Direct ISO install with image on hard drive: can not find install media.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 04, 2010, 01:32:26 pm
Might I suggest you roll out a 64b edition parallel to the 32b... that way they can both grow simultaneously
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 04, 2010, 02:01:35 pm
Not much luck on first test subject.  :(

GUI installer crashes during or after gparted.
Text installer can not find hard drive (regular ATA).
Direct ISO install with image on hard drive: can not find install media.

I had better luck here. Installed and running inside of Virtualbox.
Kind of wish it had a current sbbuilder included.
Startx does not fire up graphical environment but does start with startxfce4 (perhaps that's because no display manager yet.)

Might I suggest you roll out a 64b edition parallel to the 32b... that way they can both grow simultaneously

I agree, if I'm building packages for one, might as well do it for the other.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: kidd on June 04, 2010, 03:42:37 pm
Can't promise anything, but I'll try to have an updated sbbuilder for v7 during the next week.

If anyone want to try to update it, you can fetch it from http://code.google.com/p/vlgetpatches/

cya.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: Andy Price on June 04, 2010, 05:29:11 pm
I've tried to install on a couple of machines (P3, P4) but in both cases it says it can't find the install media, which is an IDE CDROM. Any workarounnd? I haven't tried the GUI installer yet.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: kc1di on June 04, 2010, 06:21:58 pm
install went well here , would not configure x in 24 bit though. 16 bit works ok.

no nvidia yet.

But all that i've tried so far is working.

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 04, 2010, 07:24:04 pm
Thought this was odd.  I've been building some packages against this alpha one of which was fltk2.  I used the slackbuild uelsk8 made for vl6.0 (version 2.0.6403). I just added the new source file (version 2.0.x-r7513) and changed the apropriate lines in the slackbuild.  Checked all the dependencies...all there.

When I ran the build, however, I get this error...
Code: [Select]
=== making images ===
Makefile:97: makedepend: No such file or directory
Compiling FileIcon2.cxx...
Compiling Fl_Guess_Image.cxx...
Compiling fl_jpeg.cxx...
Compiling fl_png.cxx...
fl_png.cxx: In static member function 'static bool fltk::pngImage::test(const uchar*, unsigned int)':
fl_png.cxx:65: error: 'png_check_sig' was not declared in this scope
fl_png.cxx: In member function 'virtual bool fltk::pngImage::fetch()':
fl_png.cxx:114: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
fl_png.cxx:114: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
make[1]: *** [fl_png.o] Error 1
make: *** [all] Error 2


I then transfered the build onto my vl6.0 machine where it built just fine.

I'll keep playing with it but I'm thinking that maybe libpng needs looking at. (Could be wrong though, often am.)

PS. aslo built fltk(1) on the alpha.  That built and installed no problem.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 04, 2010, 07:33:41 pm
Quote
I'll keep playing with it but I'm thinking that maybe libpng needs looking at.
This has libpng14 and jpeg-8a so you may run into a few problems. As far as I know I rebuilt everything to use png14 but again I may have missed something.........so keep testing. I do know the qt4 needs a rebuild
 against libpng14.

Thanks,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: rbistolfi on June 04, 2010, 09:34:54 pm
From libpng Changelog:

Code: [Select]
i. We removed the obsolete png_check_sig(), png_memcpy_check(), and
      png_memset_check() functions.  Instead use !png_sig_cmp(),
      png_memcpy(), and png_memset(), respectively, i.e.,

      replace
        png_check_sig(buf, 8)
      with
        png_sig_cmp(buf, 0, 8) == 0

http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: uelsk8s on June 04, 2010, 10:25:49 pm
looks like you need this for now
http://repos.archlinux.org/wsvn/community/fltk2/trunk/libpng14.patch

From libpng Changelog:

Code: [Select]
i. We removed the obsolete png_check_sig(), png_memcpy_check(), and
      png_memset_check() functions.  Instead use !png_sig_cmp(),
      png_memcpy(), and png_memset(), respectively, i.e.,

      replace
        png_check_sig(buf, 8)
      with
        png_sig_cmp(buf, 0, 8) == 0

http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 04, 2010, 11:52:24 pm
looks like you need this for now
http://repos.archlinux.org/wsvn/community/fltk2/trunk/libpng14.patch

From libpng Changelog:

Code: [Select]
i. We removed the obsolete png_check_sig(), png_memcpy_check(), and
      png_memset_check() functions.  Instead use !png_sig_cmp(),
      png_memcpy(), and png_memset(), respectively, i.e.,

      replace
        png_check_sig(buf, 8)
      with
        png_sig_cmp(buf, 0, 8) == 0

http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt
Nice find.  It worked.  I cheated though and just went in and deleted the line in the file that was deprecated and replaced with the correct line. Then compressed myself a new tar.gz out of the corrected source.  It worked though.

As far as testing some of the apps on board this alpha, I've been using mousepad, thunar, mc, wicd, firefox and opera.  So far the only trouble I've had is that opera will not play flash, but firefox will and that I when I made a custom action in thunar to use vinstallpkg it fails because zenity is not yet installed. (hmm, maybe I'll build it, but not tonight...little sleepy.)

Also, really like how up to date this is. Most recent GTK+, Pango, Glib, etc. I was wondering about Perl.  It has Perl 5.10.x which is over 9 months old. There is now a Perl 5.13.x. That being said, I don't think anybody is going to run into anything they can not build because we don't have the new Perl (it's only been out 9 days) but if it is like Glib2 and GTK+ where they are very hard to upgrade after the distribution is finalized, maybe we should.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: retired1af on June 05, 2010, 09:08:27 pm
I've been unable to really play with this over the past few days due to a complete forum software change / conversion on our server. Hopefully, I'll have time to start playing and building after the weekend.

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: GrannyGeek on June 06, 2010, 12:01:07 pm
I installed it on my 1.3 GHz Celeron from a CD I burned. GUI install worked flawlessly. It seemed slower than usual but I didn't time it, so I could be totally wrong. I skipped the bootloader section of the installation because I like to install LILO on a floppy disk and that's not an option. All my hardware was identified without problems. VASM set up the xorg radeon driver, which is correct for the Radeon 9200, and I got 1280x1024 without any intervention except for selecting that resolution when presented with choices. startx did not work but startxfce4 does.

My biggest annoyance is that VASM does not keep its window size after I do an operation but before I close VASM. Default fonts on all VectorLinuxes (and Windows) are much too small for my aging eyes and I make them larger, which often causes various dialogs and windows not to work as designed. So I'm constantly resizing the VASM window after I do anything.

I tried to run LILO through VASM and got a "Cannot find kernel (vmlinuz). Aborting LILO install." So I have to use the CD to boot to VL7.

All programs I've tried are doing well so far. I've had an audio stream running in XMMS for several hours. Flash is working in Firefox but in Opera it tells me I need to install the Flash plugin. I've installed Tuxcards, SoftMaker Office, Adobe Reader, RealPlayer, Picasa, and CheckBook Tracker. A needed library was missing for Tuxcards--it was in the /usr/lib/qt3.something directory on my VL6 SOHO partition and is a qt3 library. I simply copied it into /usr/lib on VL7, did ldconfig, and tuxcards is now running. I cannot do without Tuxcards! CBTracker needed the same library it always does. I just copy it from my previous VL installation. No problems or complaints from SoftMaker Office, Adobe Reader, and RealPlayer. I installed the latest Picasa for Linux (they say they aren't going to continue developing Picasa for Linux). However, the Linux version is lacking important features of the Windows version, such as the excellent face recognition, so I always install the Windows version BUT KEEPING THE LINUX VERSION OF WINE INSTALLED BY PICASA FOR LINUX. It's a little too involved to go into a description of how I do it here. The trouble with simply installing Wine and then installing picasa36-setup.exe through Wine is that Picasa is badly behaved and grabs 100% of the CPU and doesn't clean up after itself, so when you exit Picasa many associated processes are still running and taking up too many resources. This does not happen with Picasa for Linux. So you really need to keep Picasa for Linux's wine and setup (in /opt) BUT replace the actual Picasa files with those from the Windows version running under straight Wine. Too complicated to go into here, but if anyone is interested, I can describe the procedure in another topic. Google tweaked Wine for Picasa for Linux and it apparently needs it.

I set up my local nfs network but haven't tested it, as I don't have another computer running right now. I haven't installed any printers yet.

This computer has always been very Linux friendly and it's getting along fine with Alpha 1. I think VL7 is doing remarkably well for an alpha 1 version. I probably won't do a lot more with VL7 except install my printers and make sure the basics I run are working, as I have very little time right now.
--GrannyGeek
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 06, 2010, 01:10:07 pm
Much better results on test machine #2   :)

GUI installer completed without problems. X runs without xorg.conf and comes up with "startx". Firefox and plugins work.

Now on to more in-depth testing:
- The regular "Down arrow" and "End" keys do nothing. Using the ones on the keypad (Numlock off) it works as I'm used to.
- Mplayer plugin: it exhibits some strange habits depending on what media I'm playing. Need to test several more.
- Desktop has two "Home" icons. One opens home, the other one opens the .desktop file in Mousepad. The ones for Vector-Docs and Help forum also open with Mousepad.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 07, 2010, 05:42:31 am
I've tried to install on a couple of machines (P3, P4) but in both cases it says it can't find the install media, which is an IDE CDROM. Any workarounnd? I haven't tried the GUI installer yet.

Try copying the ISO to the top of an existing partition and then booting the CD
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: Andy Price on June 07, 2010, 09:21:07 am
Try copying the ISO to the top of an existing partition and then booting the CD

Thanks, I'll try that next time. In the end I managed to install using the GUI installer. The only problem I had was when I finished partitioning and exited gparted I got a blank screen (actually there was a kind of ghost desktop there) and I had to reboot to restart the installation.

Andy
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 07, 2010, 02:12:19 pm
I probably bit off way too much, starting with trying to build VLC. I managed to get a package out of it, which so far will only play audio. There are also no graphics in the UI. I wonder if these errors (when running program) indicate anything amiss in the VL7 base?

Code: [Select]
libpng warning: Incompatible libpng version in application and library
libpng warning: Application was compiled with png.h from libpng-1.2.37
libpng warning: Application  is  running with png.c from libpng-1.4.1

Edit: I get the same errors if I run a pre-built Slackware 13 package.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 07, 2010, 04:48:56 pm
Roy,
Thats qt4 giving you that error. It's about the only thing I didn't rebuild. So if you have time try building qt4 from slack-current/13.1 and you should be ok.

Cheers,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 07, 2010, 07:24:53 pm
This alpha is looking pretty solid. I've just build around 40 different packages.  Mostly the newest version of dependencies for what will hopefully be a VL7.0 version of the MMBD.  I've managed to avoid anything requiring qt so far, but that problem has already been identified.  Really everything has been solid, the only problem I had is that the version number in /var/log/packages is still vl6.0

ls /var/log/packages/vlconfig2-6.0-noarch-6vl60

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 07, 2010, 09:51:26 pm
Just ran into this problem, havn't look into it much yet but it looks like I've run into a problem with libtool while building fontforge.

Code: [Select]
(cd ../.libs && rm -f libfontforge.so.1 && ln -s libfontforge.so.1.0.0 libfontforge.so.1)
(cd ../.libs && rm -f libfontforge.so && ln -s libfontforge.so.1.0.0 libfontforge.so)
creating ../libfontforge.la
/usr/bin/sed: can't read /home/ken/MMBD/Multimedia/deps/fontforge/20081215/tmp/fontforge-20100501/libgunicode.la: No such file or directory
libtool: link: `/home/ken/MMBD/Multimedia/deps/fontforge/20081215/tmp/fontforge-20100501/libgunicode.la' is not a valid libtool archive
make[1]: *** [../libfontforge.la] Error 1
make[1]: Leaving directory `/home/ken/MMBD/Multimedia/deps/fontforge/20081215/tmp/fontforge-20100501/fontforge'
make: *** [fontforge] Error 2
You have mail in /var/mail/root

Also ran into a couple more problems with building gavl this seems to reference both libtool and png...
Code: [Select]
/bin/sh ../libtool --tag=CC   --mode=link gcc  -O2 -march=i586 -mtune=i686   -march=pentium-m -mtune=pentium-m -O3 -funroll-all-loops -fomit-frame-pointer -ffast-math -Wall -Wmissing-declarations -Wdeclaration-after-statement -mfpmath=387 -fvisibility=hidden   -o blend_test blend_test.o ../gavl/libgavl.la -lpng -lz -lrt
libtool: link: gcc -O2 -march=i586 -mtune=i686 -march=pentium-m -mtune=pentium-m -O3 -funroll-all-loops -fomit-frame-pointer -ffast-math -Wall -Wmissing-declarations -Wdeclaration-after-statement -mfpmath=387 -fvisibility=hidden -o .libs/blend_test blend_test.o  ../gavl/.libs/libgavl.so -lpng -lz -lrt
blend_test.o: In function `read_png':
blend_test.c:(.text+0x4a8): undefined reference to `png_set_gray_1_2_4_to_8'
collect2: ld returned 1 exit status
make[1]: *** [blend_test] Error 1
make[1]: Leaving directory `/home/ken/MMBD/Multimedia/deps/gavl/1.1.0/tmp/gavl-1.1.2/src'
make: *** [all-recursive] Error 1


enblend also failed to build.  Think this one is strickly caused by the new libpng14.
Code: [Select]
png.cxx:371: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:371: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx: In member function 'void vigra::PngDecoderImpl::nextScanline()':
png.cxx:382: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:382: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx: In constructor 'vigra::PngEncoderImpl::PngEncoderImpl(const std::string&)':
png.cxx:548: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:548: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:559: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:559: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx: In member function 'void vigra::PngEncoderImpl::finalize()':
png.cxx:574: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:574: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:582: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:582: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:591: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:591: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:600: warning: deprecated conversion from string constant to 'char*'
png.cxx:605: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:605: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx: In member function 'void vigra::PngEncoderImpl::write()':
png.cxx:637: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:637: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:640: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
png.cxx:640: warning: 'png_struct_def::jmpbuf' is deprecated (declared at /usr/include/png.h:1090)
make[4]: *** [libvigra_impex_a-png.o] Error 1
make[4]: Leaving directory `/home/ken/MMBD/Multimedia/deps/enblend/4.0/tmp/enblend-enfuse-4.0/src/vigra_impex'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/ken/MMBD/Multimedia/deps/enblend/4.0/tmp/enblend-enfuse-4.0/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/ken/MMBD/Multimedia/deps/enblend/4.0/tmp/enblend-enfuse-4.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/ken/MMBD/Multimedia/deps/enblend/4.0/tmp/enblend-enfuse-4.0'
make: *** [all] Error 2
You have mail in /var/mail/root
vector://home/ken/MMBD/Multimedia/deps/enblend/4.0/src
root:# mv /tmp/boost-1.43.0-i486-1alien.txz ./

I'll look for patches and such tomorrow.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 08, 2010, 04:54:01 am
building qt4 from slack-current/13.1 and you should be ok.

Thanks. New qt4 did solve the libpng problem. Still no video, looks like we're missing some pieces:
Code: [Select]
VLC media player 1.0.6 Goldeneye
[0x80d04a8] main interface error: no interface module matched "inhibit,none"
[0x80d04a8] main interface error: no suitable interface module
[0x804caa8] main libvlc error: interface "inhibit,none" initialization failed
[0x80d04a8] main interface error: no interface module matched "screensaver,none"
[0x80d04a8] main interface error: no suitable interface module
[0x804caa8] main libvlc error: interface "screensaver,none" initialization failed
[0x804caa8] main libvlc error: option drawable-xid does not exist
[0xb6a006c0] main interface error: option x11-display does not exist
[0x804caa8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0x80cd270] main interface error: option x11-display does not exist

When trying to play video file:
Code: [Select]
[0x82a9a30] main demux error: no meta reader module matched "any"
[0xb6c18348] main scale error: no video filter2 module matched "any"
[0x822ee20] main scale error: no video filter2 module matched "any"

Vec, you want the qt4 package and/or script? I modified the script for VL naming and i586 arch.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 08, 2010, 07:18:02 pm
After commenting out the line with "xmodmap ~/.Xmodmap" in .bashrc my keyboard behaves as I want it to. I can now navigate in mc using the down arrow and the end key.

So far built vlc, htop, bluefish and samba without errors.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: MikeCindi on June 08, 2010, 07:52:20 pm
Quote
After commenting out the line with "xmodmap ~/.Xmodmap" in .bashrc my keyboard behaves as I want it to. I can now navigate in mc using the down arrow and the end key.
I'll try that as I've had this problem with VL6 SOHO and it drives me nuts!

This hack didn't work for me in SOHO rc2.8.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 09, 2010, 09:39:14 am
KDE3 Lives!
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 09, 2010, 09:49:20 am
Nice!!!
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on June 09, 2010, 10:40:55 am
stretchedthin, since we are testing here, is Btrfs out of the equation?

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 09, 2010, 11:37:19 am
stretchedthin, since we are testing here, is Btrfs out of the equation?



Sorry Prince.  Can't speak for everyone, but it is out of reach for me.  I've got my hands full right now. Perhaps one of the others will tackle it.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: bigpaws on June 09, 2010, 01:01:32 pm
Prince why not build it yourself, that is the beauty of
linux is you can make it do what you want.

Bigpaws

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: MikeCindi on June 09, 2010, 06:52:08 pm
Tried loading VL7 on my laptop and again it dropped out setup when detecting the display (Nvidia GeForce Go 7150M). It would seem xorg doesn't support this still as it was not listed in /var/log/Xorg.0.log. As I mentioned in the VL6 SOHO testing this seems odd as VL6 Standard and Light have no issues. So the xorg update dropped this chipset which also seems odd to me since there are many older chipsets listed than this one. Perhaps it's not a very popular Nvidia offering. I did notice that when I then loaded it in VBox the text installer was available again (only to fail to find the media in the virtual CD device it was reading from).
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: kidd on June 10, 2010, 06:47:07 am
I see vl7 comes with perl 5.10 .

There has been some bugfix releases and a major new version (5.12), with another bugfix release (5.12.1) . Is it too late to bundle perl 5.12.1 in vl7 ?

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: GrannyGeek on June 11, 2010, 06:44:25 pm
I installed my printers today. I couldn't do it through VASM. It said CUPS was not installed or something like that. I did have the CUPS service running. Then I ran Firefox as root and installed the printers through http://localhost:631, No problems with that and the printers are working fine.

Still no way to install LILO to a floppy. I booted into my VL6 SOHO RC2.8 and tried to modify LILO to list VL7, but LILO didn't list VL7 as an option. I noticed that there is no /tamu subdirectory in VL7 nor a vmlinuz link. I boot to VL7 with the installation CD.

I tried sane-find-scanner but it complained about a missing library. I didn't pursue it.
--GrannyGeek
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: retired1af on June 12, 2010, 08:11:31 am
Things have finally settled down somewhat regarding the server so I should be able to start really playing with this. I'll report back after I do some updates. :)
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: caitlyn on June 12, 2010, 02:27:38 pm
Might I suggest you roll out a 64b edition parallel to the 32b... that way they can both grow simultaneously

Thank you!  The only real reason I'm not running Vector Linux nowadays was that I really, truly needed 64-bit and a release never materialized.  I'm using SalixOS, which I like, but I felt a connection to the Vector Linux community and made some friends here.   64-bit would bring me back into the fold, so to speak  ;D
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: caitlyn on June 12, 2010, 02:30:20 pm
KDE3 Lives!

Are you using Trinity (KDE 3.5.12) or the last 3.5.10 build?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: caitlyn on June 12, 2010, 02:53:33 pm
Can't promise anything, but I'll try to have an updated sbbuilder for v7 during the next week.

Great!  Any chance of getting the source code into the source repositories for VL 6 as well as your build script?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 13, 2010, 01:50:09 am
Couple things came up while packaging on the new alpha.
I finished packaging Lives and noticed vl7.0 is using sox version 14.2.0, this version dates back to 2008.  14.3.1 is the newest sox available, would it be possible to go to that.  Also there is something called sox_fmt_all, that Lives asks for when sox is chosen for sound.  I can't find a source to build that myself or documentation stating whether it is a configure option at build time.  Or perhaps it is only an option on the new sox versions.  If posible perhaps this mysterious 'sox_fmt_all' could also be worked in.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on June 13, 2010, 10:27:23 am
Yes, I agree with Caitlyn, I'm rooting for 64!
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 13, 2010, 11:35:12 am
Are you using Trinity (KDE 3.5.12) or the last 3.5.10 build?

Right now I'm just experimenting with pre-built Slack 13 (3.5.10) packages. Trinity looks interesting, I will definitely do some research there.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: kidd on June 15, 2010, 12:05:56 am
Can't promise anything, but I'll try to have an updated sbbuilder for v7 during the next week.

Great!  Any chance of getting the source code into the source repositories for VL 6 as well as your build script?

Being a perl script, source code would be exactly the same as binary package.  I think it's already packaged as a noarch package.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 15, 2010, 12:06:12 am
Quote
Is it too late to bundle perl 5.12.1 in vl7 ?
already done and tested need to remind me the extra modules for sbbuilder please.
Quote
14.3.1 is the newest sox available, would it be possible to go to that.  
Yep did  that too seems sox picks up a lot of extras on the system now so your request should work.
Just a note as a test I built most all of gnome just to see how vl7 held up with the exception of one package (gtkspell) everything built without issue. So I think its solid and good starting point !!!!

Cheers,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 15, 2010, 10:48:40 am
Quote
Just a note as a test I built most all of gnome just to see how vl7 held up with the exception of one package (gtkspell) everything built without issue. So I think its solid and good starting point !!!!

Cheers,
Vec

Same experience here.  I've been building the dependencies for the multimedia bonus disk. The following have build successfully.
Code: [Select]
./AMB-plugins/0.6.1/AMB-plugins-0.6.1-i586-1vl70.txz
./FIL-plugins/0.3.0/FIL-plugins-0.3.0-i586-1vl70.txz
./MCP-plugins/0.4.0/MCP-plugins-0.4.0-i586-1vl70.txz
./OpenJPEG/v1.3/OpenJPEG-v1.3-i586-1vl70.txz
./REV-plugins/0.3.1/REV-plugins-0.3.1-i586-1vl70.txz
./VCO-plugins/0.3.0/VCO-plugins-0.3.0-i586-1vl70.txz
./XML-Twig/3.35/XML-Twig-3.35-i586-1vl70.txz
./aften/0.0.8/aften-0.0.8-i586-1vl70.txz
./aubio/0.3.2/aubio-0.3.2-i586-1vl70.txz
./aucdtect/0.8.2/aucdtect-0.8.2-i586-1vl70.txz
./autopano-sift/2.4/autopano-sift-2.4-i586-1vl70.txz
./autotrace/0.31.1/autotrace-0.31.1-i586-1vl70.txz
./babl/0.1.2/babl-0.1.2-i586-1vl70.txz
./blop/0.2.8/blop-0.2.8-i586-1vl70.txz
./boost/1.43.0/boost-1.43.0-i586-1vl70.txz
./cairo-perl/1.061/cairo-perl-1.061-i586-1vl70.txz
./cairo/1.8.10/cairo-1.8.10-i586-1vl70.txz
./cairomm/1.8.4/cairomm-1.8.4-i586-1vl70.txz
./caps-plugins/0.4.4/caps-plugins-0.4.4-i586-1vl70.txz
./cdcd/0.6.6/cdcd-0.6.6-i586-1vl70.txz
./csound/5.12.1/csound-5.12.1-i586-1vl70.txz
./dssi/1.0.0/dssi-1.0.0-i586-1vl70.txz
./dvd-slideshow/0.8.2-2/dvd-slideshow-0.8.2_2-i586-1vl70.txz
./dvdauthor/0.6.18/dvdauthor-0.6.18-i586-1vl70.txz
./dvgrab/3.5/dvgrab-3.5-i586-1vl70.txz
./enblend/4.0/enblend-4.0-i586-1vl70.txz
./exiv2/0.20/exiv2-0.20-i586-1vl70.txz
./extutils-depends/0.302/extutils-depends-0.302-i586-1vl70.txz
./extutils-pkgconfig/1.12/extutils-pkgconfig-1.12-i586-1vl70.txz
./ffmpeg_ken/r23514/ffmpeg-r23514-i586-1vl70.txz
./fftw/3.2.2/fftw-3.2.2-i586-1vl70.txz
./fltk/1.3.x-r7627/fltk-1.3.x-r7627-i586-1vl70.txz
./fltk2/2.0.x-r7513/fltk2-2.0.6403-i586-1vl70.txz
./fluidsynth-dssi/0.9.1/fluidsynth-dssi-1.0.0-i586-1vl70.txz
./fluidsynth/1.1.1/fluidsynth-1.1.1-i586-1vl70.txz
./freeglut/2.4.0/freeglut-2.6.0-i586-1vl70.txz
./frei0r/20100124/frei0r-20100124-i586-1vl70.txz
./gavl/1.1.2/gavl-1.1.2-i586-1vl70.txz
./gc/7.1/gc-7.1-i586-1vl70.txz
./glib-perl/1.162/glib-perl-1.223-i586-1vl70.txz
./glibmm/2.18.1/glibmm-2.22.2-i586-1vl70.txz
./gss/1.0.1/gss-1.0.1-i586-1vl70.txz
./gtk-sharp/2.12.9/gtk-sharp-2.12.9-i586-1vl70.txz
./gtk-sharp1/1.0.10/gtk-sharp1-1.0.10-i586-1vl70.txz
./gtk2-perl/1.222/gtk2-perl-1.222-i586-1vl70.txz
./gtkmm/2.18.0/gtkmm-2.18.0-i586-1vl70.txz
./gtksourceview/2.11.2/gtksourceview-2.11.2-i586-1vl70.txz
./ilmbase/1.0.1/ilmbase-1.0.1-i586-1vl70.txz
./imaging/1.1.7/Imaging-1.1.7-i586-1vl70.txz
./jack/0.118.0/jack-0.118.0-i586-1vl70.txz
./jdelay/noversion/jack_delay-noversion-i586-1vl70.txz
./ladspa/1.13/ladspa-1.13-i586-1vl70.txz
./libatomic_ops/1.2/libatomic_ops-1.2-i586-1vl70.txz
./libcdaudio/0.99.12p2/libcdaudio-0.99.12p2-i586-1vl70.txz
./libgig/3.3.0/libgig-3.3.0-i586-1vl70.txz
./libgnomecanvas/2.26.0/libgnomecanvas-2.26.0-i586-1vl70.txz
./libgnomecanvasmm/2.26.0/libgnomecanvasmm-2.26.0-i586-1vl70.txz
./libgsasl/1.4.4/libgsasl-1.4.4-i586-1vl70.txz
./libiec61883/1.2.0/libiec61883-1.2.0-i586-1vl70.txz
./liblo/0.26/liblo-0.26-i586-1vl70.txz
./liblrdf/0.4.0/liblrdf-0.4.0-i586-1vl70.txz
./liblscp/0.5.6/liblscp-0.5.6-i586-1vl70.txz
./libpano13/2.9.14/libpano13-2.9.14-i586-1vl70.txz
./libquicktime/1.1.5/libquicktime-1.1.5-i586-1vl70.txz
./libsigc++/2.2.8/libsigc++-2.2.8-i586-1vl70.txz
./libsndfile/1.0.21/libsndfile-1.0.21-i586-1vl70.txz
./libxmi/1.2/libxmi-1.2-i586-1vl70.txz
./linuxsampler/1.0.0/linuxsampler-1.0.0-i586-1vl70.txz
./lsdvd/0.16/lsdvd-0.16-i586-1vl70.txz
./mftrace/1.2.16/mftrace-1.2.16-i586-1vl70.txz
./mjpegtools/1.9.0/mjpegtools-1.9.0-i586-1vl70.txz
./mlt/0.5.4/mlt-0.5.4-i586-1vl70.txz
./mono/2.6.4/mono-2.6.4-i586-1vl70.txz
./mutagen/1.13/mutagen-1.19-i586-1vl70.txz
./omins/0.2.0/omins-0.2.0-i586-1vl70.txz
./pango-perl/1.221/pango-perl-1.221-i586-1vl70.txz
./pangomm/2.25.1.3/pangomm-2.25.1.3-i586-1vl70.txz
./pigment/0.3.17/pigment-0.3.17-i586-1vl70.txz
./pixman/0.18.2/pixman-0.18.2-i586-1vl70.txz
./portaudio/20071002/portaudio-20071002-i586-1vl70.txz
./potrace/1.8/potrace-1.8-i586-1vl70.txz
./pulseaudio/0.9.13/pulseaudio-0.9.21-i586-1vl70.txz
./python-setuptools/0.6c11/python-setuptools-0.6c11-i586-1vl70.txz
./qt4/4.6.2/qt-4.6.2_2d3d3e5-i586-1VL70.txz
./raptor/1.4.21/raptor-1.4.21-i586-1vl70.txz
./scons/1.1.0/scons-1.3.0-i586-1vl70.txz
./scrollkeeper/0.3.14/scrollkeeper-0.3.14-i586-1vl70.txz
./shishi/0.0.37/shishi-0.0.43-i586-1vl70.txz
./sip/4.7.9/sip-4.10.2-i586-1vl70.txz
./soundtouch/1.3.1/soundtouch-1.5.0-i586-1vl70.txz
./speex/1.2beta3/speex-1.2beta3-i586-1vl70.txz
./swh-plugins/0.4.15/swh-plugins-0.4.15-i586-1vl70.txz
./swig/2.0.0/swig-2.0.0-i586-1vl70.txz
./ttf2pt1/3.4.4/ttf2pt1-3.4.4-i586-1vl70.txz
./wxGTK/2.8.9/wxGTK-2.8.11-i586-1vl70.txz
./wxPython/2.8.7.1/wxPython-2.8.11.0--.txz
./wxsvg/1.0.3/wxsvg-1.0.3-i586-1vl70.txz
./wxwidgets/2.8.11/wxWidgets-2.8.11-i586-1vl70.txz
./yasm/1.0.1/yasm-1.0.1-i586-1.txz
./denemo/0.7.6/denemo-0.8.14-i586-1vl70.txz
./dia/0.96.1/dia-0.97-i586-1vl70.txz
./lives/0.9.9.5/lives-1.3.3-i586-3vl70.txz
./lmms/0.4.6/lmms-0.4.6-i586-1vl70.txz
./mixxx/1.7.2/mixxx-1.7.2-i586-1vl70.txz
The most trouble I've had is with libpng patches, which I'm now getting pretty good at.  However, the following have are still giving me trouble and will not build. I'm assuming they related to the new libpng or libjpeg or maybe even libtool. I'll have to investigate a little more.
Code: [Select]
bonk-0.6/  package-bonk

glew-1.5.4/  package-glew/

lash-0.5.4/  package-lash/

[s]libgdiplus-2.4.2/  package-libgdiplus/[/s]

[s]lilypond-2.12.3/  package-lilypond/
[/s]
openexr-1.6.1/  package-openexr/

package-povray/  povray-3.6.1/

[s]package-recordmydesktop/  recordmydesktop-0.3.8.1/
[/s]
package-tse3/  tse3-0.3.1/

package-yafray/  yafray/
I may edit from the above list as I find out what the fix is.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: Dweeberkitty on June 15, 2010, 03:07:08 pm
stretchedthin,

FYI, the lilypond package was probably one of the hardest packages I ever had to build. It may or may not be the libpng or libjpeg. Just be aware that it gave me a LOT of trouble in the past.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 16, 2010, 12:39:31 am
Found this when researching why one of the packages I'm working on ends with the following error.
Code: [Select]
checking for cairo's Microsoft Windows font backend...
checking whether cairo's Microsoft Windows font backend could be enabled... no (requires a Win32 platform)
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking dependency style of g++... (cached) gcc3
checking for cairo's PNG backend...
configure: WARNING: Could not find libpng in the pkg-config search path
checking whether cairo's PNG backend could be enabled... no
configure: error: requested PNG backend could not be enabled
configure: error: ./configure failed for cairo
You have mail in /var/mail/root

Quote
Dear Cairo developers,

the configure.ac of cairo seems to contain a list of libpng
package names: (line 164)

    for l in libpng12 libpng13 libpng10 ; do

This list won't support the new libpng 1.4.x versions, although
cairo seems to work flawlessly with them. So I propose to either
add "libpng14" to the list:

    for l in libpng14 libpng12 libpng13 libpng10 ; do

or to simply add "libpng" to the list which should always point
to the most current libpng version:

    for l in libpng libpng12 libpng13 libpng10 ; do

From the looks of it a patch may be necessary for Cairo to work correctly with the new libpng
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: kidd on June 16, 2010, 12:51:30 am
Template Toolkit is the only non-standard module.

you can install it with

Code: [Select]
cpan Template
or download and install from:
http://search.cpan.org/~abw/Template-Toolkit-2.22/lib/Template.pm
Code: [Select]
perl Makefile.PL
make
make install

the make install route won't install deps (if any)
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 18, 2010, 01:34:08 am
One more request. Included Cmake is version 2.6.2. Latest version is 2.8.1.  Would be nice to have the newer version.
Cheers.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 24, 2010, 12:39:42 am
I was reading Headachers very helpful tutorial on Jack audio concerning realtime privileges (http://forum.vectorlinux.com/index.php?topic=479.msg2608#msg2608) and it left me with a question.

In that thread he mentioned the need for a 
Quote
-2.6 series kernel with realtime-lsm patch.
.  Does the plan for VL7.0 include a realtime-lsm patch?  It would make for a much better base for those wishing to explore Jack-audio and the applications which use it.
Ken

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 24, 2010, 01:11:27 am
Quote
Does the plan for VL7.0 include a realtime-lsm patch?  It would make for a much better base for those wishing to explore Jack-audio and the applications which use it.
Ken
To be honest don't know my experience with jack and pulse audio has been bad to say the least. If anyone has found a reasonable installation that works consistently on a a slack based system keep me up to date. So far been a headache for me. Something for you guys to explore................however.

vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on June 24, 2010, 04:56:36 am
Will this version include support for USB3?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: bigpaws on June 24, 2010, 07:18:05 am
Prince,

That is from kernel development not Vector.

There has been USB 3 support in the kernel starting around Sept. 2009.

Bigpaws
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: xenone on June 24, 2010, 08:48:14 am
Please add some Intel graphic support, Especialy Intel 845g support. Thnkx  :-[
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 24, 2010, 08:56:19 am
Quote
Does the plan for VL7.0 include a realtime-lsm patch?  It would make for a much better base for those wishing to explore Jack-audio and the applications which use it.
Ken
To be honest don't know my experience with jack and pulse audio has been bad to say the least. If anyone has found a reasonable installation that works consistently on a a slack based system keep me up to date. So far been a headache for me. Something for you guys to explore................however.

vec

I think part of the problem is that Slackware does not use PAM as it's method for authenticating user privileges.  It may be worth some discussion between the Vectorlinux developers whether you want to follow suite.  Here's how Jack uses PAM...
Quote
How should I configure my Linux 2.6 Operating System?
Real-time scheduling

JACK requires real-time scheduling privileges for reliable, dropout-free operation. The server requests these privileges when running with the -R option.

Most recent distributions use PAM to manage the permissions of users on a relatively granular level. If the file /etc/security/limits.conf exists on your system, it is using PAM. In order to configure PAM such that normal users can run jackd with realtime privileges make sure the following lines exist:

@audio   -  rtprio     99
@audio   -  memlock    unlimited

This /etc/security/limits.conf file of course don't exist in Vectorlinux, but Headacher suggests another way....
If the kernel can be patched with http://sourceforge.net/projects/realtime-lsm/ (http://the 'Realtime Linux Security Module'),
then simply by making jack part of the audio group it will gain realtime privileges.

So I think either PAM, or Realtime Linux Security Module would be a good first step (for Jack anyway don't know about pulse audio).
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 24, 2010, 12:11:27 pm
Yeah, I've ran into the same wall, not with jack, but with other things. Every other distro uses PAM or at least if it doesn't use it, offers the libraries, Slack doesn't nor does VL.

This should really be addressed
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on June 25, 2010, 02:27:41 am
Thanks, Moe.

I guess that means the Vl7 is using the latest 2.6.3*... kernel.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 25, 2010, 05:46:52 am
The PAM thing his nothing to do with kernel version, it has been a problem in slack for a long time. Its the reason you can't build a gdm version newer than 2.20 on slackware or VL
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 27, 2010, 05:52:14 pm
Figuring VLC is a good stress test, I tried the latest version (1.1.0).
The long list of dependencies seemed to build okay, but when it came down to VLC itself, error:
Code: [Select]
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 27, 2010, 07:03:29 pm
Figuring VLC is a good stress test, I tried the latest version (1.1.0).
The long list of dependencies seemed to build okay, but when it came down to VLC itself, error:
Code: [Select]
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
I've ran into the same error a couple times. The latest for me was in the building of synfig studio.  Also couldn't build audacity yet, but not sure if it's the same error but do believe it is lipng14 related.

I don't think the error is coming from the vlc build itself, but one of the dependencies that is created along with the build.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on June 27, 2010, 09:12:51 pm
Quote
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
This is coming from a dep lib for the program which I may not have caught libmng comes to mind. Anyway ldd your executable look at the libs it uses and check /var/adm/packages see if the dep has a i486 extension that is somehow related to graphics/gui then you will prolly have to rebuild that against the libpng14. Its kind of a hunt and peck but if you guys could help me this would be appreciated.

Thanks,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on June 27, 2010, 10:43:48 pm
Figuring VLC is a good stress test, I tried the latest version (1.1.0).
The long list of dependencies seemed to build okay, but when it came down to VLC itself, error:
Code: [Select]
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
Nightflier what dependencies does your script try to build??  I can compare your list to the items I've built and installed here on my box.  Reason being is I've got vlc working.
I just ran a build of vlc-1.1.0 by itself. No depedencies were built within the slackbuild, just vlc. I was hoping to see where it failed, I didn't even check the dependency list, just took a chance that I had them already.  I can compare your list against what I've built and see if any of them used a patch or had to be rebuilt against libpng14.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on June 28, 2010, 12:56:47 am
My mistake, Moe, that response was to bigpaws's answer.

As far as the PAM thing is concerned, I am aware it has nothing to do with the kernel, thanks.

As far as the USB 3.0 support, I was looking for the Linux Kernal number.

Ok, to all:

The Linux Kernel 2.6.31 number is the number that first supported USB 3.0. That's the answer I was looking for.

The  VectorLinux 7.0 CORE ALPHA 1 release info didn't mention which Kernel is being utilized, but that's

OK.   The answer could be discreet for security reasons.  As long as it support USB 3.0 for my latest AMD build,
that's fine with me.   


 
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: nightflier on June 28, 2010, 04:19:46 am
The version of VLC I was working with is the monster static one with all dependencies, including Slack patches, built in (except qt4 in this case).

The script progressed through the whole dep list without throwing a fit and the logs show that all this did build:
# Dependent package versions (list from slackbuild).
Code: [Select]
A52=0.7.4
AMR=0.1.2
ASS=0.9.9
AVC1394=0.5.3
CDDB=1.3.2
CDIO=0.82
DAAP=0.4.0
DC1394=2.1.2
DCA=0.0.5
DV=1.0.0
DVBPSI=0.1.7
DVDNAV=4.1.3
DVDREAD=4.1.3
DVDCSS=1.2.10
EBML=1.0.0
FAAC=1.28
FAAD2=2.7
FFMPEG=0.6
FLUID=1.1.1
GGI=2.2.2
GII=1.0.2
GOOM=2k4-0
KATE=0.3.7
LAME=3.98.4
LIBVA="0.31.0-1+sds13"
LIVE=latest
LUA=5.1.4
MATROSKA=1.0.0
MPCDEC=1.2.6
MPEG2DEC=0.5.1
ORC=0.4.5
PROJECTM=2.0.1
QT4=4.6.0
RAW1394=2.0.5
SCHROEDINGER=1.0.9
SHOUT=2.2.2
SPEEX=1.2rc1
SWSCALE=""       # Set SWSCALE="" to checkout a version of ffmpeg's swscale that matches the date of the FFMPEG snapshot.
THEORA=1.1.1
TIGER=0.3.3
TWOLAME=0.3.12
UPNP=1.6.6
V4L=0.8.0
VCD=0.7.23
VPX=20100617
X264_SAFE=20080301-2245 # In later versions nasm complains about 'function hidden'
X264=20100616-2245      # Needs yasm installed
XUL=1.9.2

Here is the tail of the build log:
Code: [Select]
  CCLD   libvod_rtsp_plugin.la
  CCLD   libfreetype_plugin.la
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
collect2: ld returned 1 exit status
make[5]: *** [libsvg_plugin.la] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Leaving directory `/temp/tmp-vlc/vlc-1.1.0/modules/misc'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/temp/tmp-vlc/vlc-1.1.0/modules/misc'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/temp/tmp-vlc/vlc-1.1.0/modules/misc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/temp/tmp-vlc/vlc-1.1.0/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/temp/tmp-vlc/vlc-1.1.0'
make: *** [all] Error 2

Looks like it was doing something with freetype at the time?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 28, 2010, 05:39:23 am
libpng.

I was playing around with slack13.1 and found out they have a libpng-compat package that takes care of this.
You still need to specify a path at build time for it to find and use the right library.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on June 28, 2010, 07:54:57 pm
Finally got a bit of time and thought I'd have a look at the alpha.

Small problem though. If I attempt to use the GUI installer it fails with a fatal error. Using the text mode installer can't find the CD.

Another problem - the fatal error with the GUI installer is down to kernel module loading. After getting to a command prompt, I had a look at /llib/modules. Under that, there are two directories for kenrel modules - 2.6.31.11 and 2.6.31.6. But 'uname -r' gives me 2.6.32.2.

I give up. How do I get the thing to install  ???

Paul.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on June 29, 2010, 05:45:09 am
heh... sounds like one messed up ISO
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on June 29, 2010, 07:57:43 am
heh... sounds like one messed up ISO

:) That was my first assumption. However, md5sum matches, both on the downloaded iso and on the cd I burnt.

Very strange. I should be able to investigate a bit more later tonight, I hope. Annoying through - I wanted to install it and see how I went building a few packages against it.

Paul.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 02, 2010, 09:05:50 pm
Quote
/usr/lib/gcc/i586-vector-linux/4.3.3/../../../../i586-vector-linux/bin/ld: cannot find -lpng12
This is coming from a dep lib for the program which I may not have caught libmng comes to mind. Anyway ldd your executable look at the libs it uses and check /var/adm/packages see if the dep has a i486 extension that is somehow related to graphics/gui then you will prolly have to rebuild that against the libpng14. Its kind of a hunt and peck but if you guys could help me this would be appreciated.

Thanks,
Vec

I think I found one.  I could not build gegl 0.1.3, was getting one of those...can't find libpng12 errors.  Luckily gegl has a short list of dependencies and the one that caught my eye was librsvg.  I rebuilt against libpng14 and installed librsvg-2.31.0, installed it and re-ran my gegl build and voila, no more errors.  Looking at the errors that nightflier got I think it may be the solution for his vlc build as well.
Ken
P.S. Could you post the slackbuild you use for libmng.  I'll give that one a go as well and see if that helps with some of the others I've had trouble with?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on July 03, 2010, 07:01:07 am
:( I can't install this at all. I've checked the md5sum of the downloaded iso (its correct), reburnt the CD at the slowest speed my drive will do, then checked the md5sum on the burnt CD (also fine).

I get a boot prompt, press enter and the CD boots. It gets to the resolution prompt, I select 12800x800 (T61 14.1 widescreen) and it goes away to test the X setup. After a little while, it comes back with this message, repeated twice:

Code: [Select]
Xorg sucessfully configured
Modprobe: FATAL could not load /lib/modules/2.6.32.2/modules.dep no such file or directory

At which point I can log in as root, but that is it - no chance to install, and no chance to get GUI installer to come up.

Checking the system, if I look at /lib/modules/, I've got a 2.6.31.11 and a 2.6.30.6 directory, but certainly not a 2.6.32.2 directory.

The problem looks like its mainly video - the T61 has an Intel GM965-based card. Running lspci on the alpha the card is not correctly identified:

Code: [Select]
Vga Compatible controller: Intel Croporation Device 2o02
And the failure does not occur until the system attempts to start X.

I'd really like to be able to install this, but I'm now pretty sure there is nothing wrong with the CD I'm using, and I'm getting nowhere at all....

Paul.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 03, 2010, 11:21:11 am
@toothandnail, I don't have a solution for you but can confirm your experience.  I had the same error messages on two out of the three machines I tried this on.  I don't think you have a problem with your disk at all. If you try the same disk installing to a Virtualbox virtual machine you might be surprised to see it actually works.  For what it is worth the two machines that gave me the error had intel graphics, the one that worked had ati (of all things).
Ken
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 04, 2010, 08:26:40 pm
Quote
'd really like to be able to install this, but I'm now pretty sure there is nothing wrong with the CD I'm using, and I'm getting nowhere at all....

Paul.

Paul and Ken and  anyone with intel graphics give this version of  VL7-CORE a try:
http://vectorlinux.osuosl.org/veclinux-7.0/iso-test/VL7.0-CORE-ALPHA-1.2.iso
http://vectorlinux.osuosl.org/veclinux-7.0/iso-test/ALPHA-1.2.md5sum

I discovered there were some missing kernel module bits in the installer after your posts revealed the problem ...........thanks for the detective work!!!!........... ;D
Nothing else much has changed from ALPHA1 so if that installed ok for you then anyone else can leave this iso alone. Also there is a delta in the veclinux-7.0/iso-test folder if you want to save some download time.
Let me know how it goes............and happy 4th of July to all you folks from the USA!!

Cheers,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 05, 2010, 12:32:22 am
Tried the new alpha install on the two intel machines that failed on the previous.  Same bad news I'm afraid,
still getting the same error and failure to launch x that Paul described.
Quote
Xorg sucessfully configured
Modprobe: FATAL could not load /lib/modules/2.6.32.2/modules.dep no such file or directory
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 05, 2010, 07:04:46 am
So far this is what I've found that I believe needs to be rebuilt against libpng...librsvg, poppler, and possibly lcms.  Side note all three of them have newer versions available and in the case of lcms a major new version.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 05, 2010, 11:52:40 am
Quote
Modprobe: FATAL could not load /lib/modules/2.6.32.2/modules.dep no such file or directory
When you get dumped to the cli try doing depmod -a then try startx again. let me know what it tells you.

Thanks,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 05, 2010, 03:19:46 pm
Quote
Modprobe: FATAL could not load /lib/modules/2.6.32.2/modules.dep no such file or directory
When you get dumped to the cli try doing depmod -a then try startx again. let me know what it tells you.

Thanks,
Vec
Tried as you suggested when kicked, signed in as root and ran depmod -a.  I just end up getting the same warning...
depmod # depmod -a
WARNING: Couldn't open directory /lib/modules/2.6.32.2/: No such file or directory
FATAL: Could not open /lib/modules/2.6.32.2/modules.dep.temp for writing: No such file or directory.


So I use ls to look in /lib/modules/  it contains two folders 2.6.31.11 and 2.6.31.6.  There is no reference to a 2.6.32.2.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: prince on July 05, 2010, 04:37:32 pm
Excuse me, gentlemen.

May we restart with Kernel # 2.6.33, please.  Thanks.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 05, 2010, 06:20:55 pm
Quote
WARNING: Couldn't open directory /lib/modules/2.6.32.2/: No such file or directory
FATAL: Could not open /lib/modules/2.6.32.2/modules.dep.temp for writing: No such file or directory.


So I use ls to look in /lib/modules/  it contains two folders 2.6.31.11 and 2.6.31.6.  There is no reference to a 2.6.32.2.

Oops!! my bad looks like one of my build scripts replaced my update with original. So could we please try again?
new iso and delta are up the exact same links as previous same versioning I just replaced them.

Thanks,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: retired1af on July 05, 2010, 06:25:01 pm
Vector, I take it the new delta will update the original ISO?
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 05, 2010, 06:38:06 pm
Quote
Vector, I take it the new delta will update the original ISO?
Yes it will update alpha1 to alpha1.2
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: stretchedthin on July 05, 2010, 09:01:34 pm
Gave the updated alpha a go.  Got a new error message this time. "Not activating Mandatory Access Control now since /sbin/tomoyo-init doesn't exist."

Tried the demod -a suggested earlier, was a no go.
This is still just on the intel boxes, new cd still works fine on the ati box.
Need me to test anything else just let me know.
Ken

Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 05, 2010, 10:36:38 pm
Quote
"Not activating Mandatory Access Control now since /sbin/tomoyo-init doesn't exist."
Looks like a kernel config problem then. I may go back to the standard kernel we have been using in soho so at least everyone gets this installed and tested. Paul (toothandnail) please give alpha 1,2 a try see if you get the same problem with your machine.
Thanks,
Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on July 06, 2010, 07:18:08 am
Quote
"Not activating Mandatory Access Control now since /sbin/tomoyo-init doesn't exist."
Looks like a kernel config problem then. I may go back to the standard kernel we have been using in soho so at least everyone gets this installed and tested. Paul (toothandnail) please give alpha 1,2 a try see if you get the same problem with your machine.
Thanks,
Vec

I've downloaded the new delta, should get a chance to try it tonight sometime. I'll let you know....

Paul
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on July 06, 2010, 03:03:13 pm
Quote
"Not activating Mandatory Access Control now since /sbin/tomoyo-init doesn't exist."
Looks like a kernel config problem then. I may go back to the standard kernel we have been using in soho so at least everyone gets this installed and tested. Paul (toothandnail) please give alpha 1,2 a try see if you get the same problem with your machine.
Thanks,
Vec

:( Just got the update burned and tried it. Same error. Goes through the 'configuring X' (takes a bit longer than the earlier alpha) then bombs with the Mandatory Access Control error.

Paul.
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: M0E-lnx on July 06, 2010, 04:27:10 pm
I tried this today, and noticed an old bug is still present. END and up or down keys dont work when editing text. ALso, no slapt-get
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: vector on July 06, 2010, 11:53:05 pm
Quote
Same error. Goes through the 'configuring X' (takes a bit longer than the earlier alpha) then bombs with the Mandatory Access Control error.

Paul.

Hmmm.......... well I am puzzled on this one can Paul or Ken take a look at the /var/log/X.org.log when your dumped into the cli with mc or something see if we are missing some module or something or a clue as to whats wrong I have never seen this error before............ >:(

Vec
Title: Re: VectorLinux 7.0 CORE ALPHA 1
Post by: toothandnail on July 07, 2010, 08:12:51 am
Quote
Same error. Goes through the 'configuring X' (takes a bit longer than the earlier alpha) then bombs with the Mandatory Access Control error.

Paul.

Hmmm.......... well I am puzzled on this one can Paul or Ken take a look at the /var/log/X.org.log when your dumped into the cli with mc or something see if we are missing some module or something or a clue as to whats wrong I have never seen this error before............ >:(

Vec

I've had a look. There are a number of errors (agpart for one), but I don't know which might be relevant. Here's the log, maybe you can spot what might be causing the problem....

The 'Couldn't allocate video memory' and 'addscreen/screeninit filed for driver 0' look pretty bad, but I'm not sure what the cause is...

Code: [Select]
_XSERVTransSocketOpenCOTSServer: Unable to open socket for inet6
_XSERVTransOpen: transport open failed for inet6/vector:0
_XSERVTransMakeAllCOTSServerListeners: failed to open listener for inet6

X.Org X Server 1.6.3
Release Date: 2009-7-31
X Protocol Version 11, Revision 0
Build Operating System: Vector 7.0 - Vector Linux
Current Operating System: Linux vector 2.6.32.2 #1 SMP PREEMPT Tue Dec 29 13:22:06 MST 2009 i686
Build Date: 13 September 2009  04:27:18AM
 
Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jul  7 10:09:26 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "X.org Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "AutoAddDevices" "False"
(**) Option "AutoEnableDevices" "False"
(**) Not automatically adding devices
(**) Not automatically enabling devices
(WW) The directory "/usr/share/fonts/local" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/OTF" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/Type1" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/CID" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/100dpi/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/truetype/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/local/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/TTF/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/cyrillic/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/100dpi" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/truetype/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/local/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/TTF/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/lib/X11/fonts/cyrillic/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/cyrillic" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/local" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/OTF" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/Type1" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/CID" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/100dpi/" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/100dpi" does not exist.
Entry deleted from font path.
(WW) The directory "/usr/share/fonts/cyrillic" does not exist.
Entry deleted from font path.
(**) FontPath set to:
/usr/share/fonts/TTF,
/usr/share/fonts/misc,
/usr/share/fonts/75dpi/:unscaled,
/usr/share/fonts/75dpi,
/usr/share/fonts/TTF,
/usr/share/fonts/misc,
/usr/share/fonts/75dpi/:unscaled,
/usr/share/fonts/75dpi,
built-ins
(**) ModulePath set to "/usr/lib/xorg/modules"
(II) Loader magic: 0x1da0
(II) Module ABI versions:
X.Org ANSI C Emulation: 0.4
X.Org Video Driver: 5.0
X.Org XInput driver : 4.0
X.Org Server Extension : 2.0
(II) Loader running on linux
(--) using VT number 2

(--) PCI:*(0:0:2:0) 8086:2a02:17aa:20b5 Intel Corp. rev 12, Mem @ 0xf8100000/1048576, 0xe0000000/268435456, I/O @ 0x00001800/8
(--) PCI: (0:0:2:1) 8086:2a03:17aa:20b5 Intel Corp. rev 12, Mem @ 0xf8200000/1048576
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(II) No APM support in BIOS or kernel
(II) System resource ranges:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[5] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.0.0
ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.0.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.0.0
Module class: X.Org Server Extension
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions//libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.1.0
ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 2.8.1
Module class: X.Org Video Driver
ABI class: X.Org Video Driver, version 5.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.4.0
Module class: X.Org XInput Driver
ABI class: X.Org XInput driver, version 4.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
compiled for 1.6.1, module version = 1.3.2
Module class: X.Org XInput Driver
ABI class: X.Org XInput driver, version 4.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
E7221 (i915), 915GM, 945G, 945GM, 945GME, IGD_GM, IGD_G, 965G, G35,
965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
Mobile IntelĀ® GM45 Express Chipset,
Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41, IGDNG_D,
IGDNG_M
(II) Primary Device is: PCI 00@00:02:0
(II) resource ranges after xf86ClaimFixedResources() call:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[5] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
(II) resource ranges after probing:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] 0 0 0x000a0000 - 0x000affff (0x10000) MS[B]
[5] 0 0 0x000b0000 - 0x000b7fff (0x8000) MS[B]
[6] 0 0 0x000b8000 - 0x000bffff (0x8000) MS[B]
[7] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[8] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[9] 0 0 0x000003b0 - 0x000003bb (0xc) IS[B]
[10] 0 0 0x000003c0 - 0x000003df (0x20) IS[B]
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 0.1.0
ABI class: X.Org Video Driver, version 5.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
drmOpenDevice: node name is /dev/dri/card0
[drm] failed to load kernel module "i915"
(EE) intel(0): [drm] Failed to open DRM device for : No such file or directory
(EE) intel(0): Failed to become DRM master.
(**) intel(0): Depth 16, (--) framebuffer bpp 16
(==) intel(0): RGB weight 565
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 965GM
(--) intel(0): Chipset: "965GM"
(--) intel(0): Linear framebuffer at 0xE0000000
(--) intel(0): IO registers at addr 0xF8100000 size 1048576
(WW) intel(0): libpciaccess reported 0 rom size, guessing 64kB
(II) intel(0): the SDVO device with slave addr 70 is found on DVO 1 port
(II) intel(0): 2 display pipes available.
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section Monitor0
(II) intel(0): Output LVDS has no monitor section
(II) intel(0): I2C bus "LVDSDDC_C" initialized.
(II) intel(0): Attempting to determine panel fixed mode.
(II) intel(0): I2C device "LVDSDDC_C:E-EDID segment register" registered at address 0x60.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): EDID vendor "LEN", prod id 16433
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" registered at address 0x70.
(II) intel(0): I2C bus "SDVOB DDC Bus" initialized.
(II) intel(0): Output TMDS-1 has no monitor section
(II) intel(0): SDVOB: device VID/DID: 02:3C.06, clock range 25.0MHz - 200.0MHz
(II) intel(0): SDVOB: 1 input channel
(II) intel(0): SDVOB: TMDS0 output reported
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" registered at address 0x72.
(II) intel(0): No SDVO device found on SDVOC
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" removed.
(II) intel(0): Current clock rate multiplier: 1
(II) intel(0): EDID vendor "LEN", prod id 16433
(II) intel(0): Output VGA disconnected
(II) intel(0): Output LVDS connected
(II) intel(0): Output TMDS-1 disconnected
(II) intel(0): Using user preference for initial modes
(II) intel(0): Output LVDS using initial mode 1280x800
(II) intel(0): detected 512 kB GTT.
(II) intel(0): detected 7676 kB stolen memory.
(==) intel(0): video overlay key set to 0x83e
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
compiled for 1.6.3, module version = 1.0.0
ABI class: X.Org ANSI C Emulation, version 0.4
(II) intel(0): Comparing regs from server start up to After PreInit
(WW) intel(0): Register 0x61200 (PP_STATUS) changed from 0xc0000008 to 0xd0000009
(WW) intel(0): PP_STATUS before: on, ready, sequencing idle
(WW) intel(0): PP_STATUS after: on, ready, sequencing on
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
[0] -1 0 0xffffffff - 0xffffffff (0x1) MX[B]
[1] -1 0 0x000f0000 - 0x000fffff (0x10000) MX[B]
[2] -1 0 0x000c0000 - 0x000effff (0x30000) MX[B]
[3] -1 0 0x00000000 - 0x0009ffff (0xa0000) MX[B]
[4] 0 0 0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
[5] 0 0 0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
[6] 0 0 0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
[7] -1 0 0x0000ffff - 0x0000ffff (0x1) IX[B]
[8] -1 0 0x00000000 - 0x00000000 (0x1) IX[B]
[9] 0 0 0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
[10] 0 0 0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(EE) GARTInit: Unable to open /dev/agpgart (No such file or directory)
(EE) intel(0): /dev/agpgart is either not available, or no memory is available
for allocation.  Please enable agpgart
.(WW) intel(0): VideoRam reduced to 7672 KB (page aligned - was 7675 KB)
(WW) intel(0): DRI2: failed to open drm device
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(EE) intel(0): Failed to initialize kernel memory manager
(==) intel(0): VideoRam: 7672 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(EE) intel(0): AGP GART support is either not available or cannot be used.
Make sure your kernel has agpgart support or has
the agpgart module loaded.
(II) intel(0): Tiled allocation failed.
(II) intel(0): Attempting memory allocation with untiled buffers.
(EE) intel(0): AGP GART support is either not available or cannot be used.
Make sure your kernel has agpgart support or has
the agpgart module loaded.
(II) intel(0): Untiled allocation failed.
(EE) intel(0): Couldn't allocate video memory

Fatal server error:
AddScreen/ScreenInit failed for driver 0


Please consult the The X.Org Foundation support
at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.